


.demo-2 {
	--color-text: #000000;
    --color-bg: #832f05;
    --color-link: #ffffff;
    --color-link-hover: #000;
    --color-content-title-sub: #ec9e34;
    --cursor-stroke: #000000;
    --cursor-fill: none;
    --cursor-stroke-width: 1px;
}

.demo-3 {
	--color-text: #239c34;
    --color-bg: #000000;
    --color-link: #ffffff;
    --color-link-hover: #ccc;
    --color-content-title-sub: #ffffff;
    --cursor-stroke: #239c34;
    --cursor-fill: none;
    --cursor-stroke-width: 3px;
}



/* Page Loader */
.js .loading::before,
.js .loading::after {
	content: '';
	position: fixed;
	z-index: 1000;
}

.js .loading::before {
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: var(--color-bg);
}

.js .loading::after {
	top: 50%;
	left: 50%;
	width: 60px;
	height: 60px;
	margin: -30px 0 0 -30px;
	border-radius: 50%;
	opacity: 0.4;
	background: var(--color-link);
	animation: loaderAnim 0.7s linear infinite alternate forwards;

}

@keyframes loaderAnim {
	to {
		opacity: 1;
		transform: scale3d(0.5,0.5,1);
	}
}



.no-select {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.frame {
	padding: 3rem 5vw;
	text-align: center;
	position: relative;
	z-index: 1000;
}

.frame__title {
	font-size: 1rem;
	margin: 0 0 1rem;
	font-weight: normal;
}

.frame__links {
	display: inline;
}

.frame__links a:not(:last-child),
.frame__demos a:not(:last-child) {
	margin-right: 1rem;
}

.frame__demos {
	margin: 1rem 0;
}

.frame__demo--current,
.frame__demo--current:hover {
	color: var(--color-text);
	text-decoration: none;
}



.grid {
	pointer-events: none;
	/*position: absolute;
	width: 110%;
	height: 110%;
	display: grid;
	top: -5%;
	left: -5%;
	
	grid-template-columns: repeat(50,2%);
	grid-template-rows: repeat(50,2%);*/
}

.grid__item {
	position: relative;
}

.grid--img .grid__item {
	/*overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
	will-change: transform;*/
}

.grid__item-img {
	 /*position: relative;
    width: 100%;
    height: 90%;
    background-size: cover; */
    /* background-position: 50% 50%; 
    background-repeat: no-repeat;*/
}

.grid--img .grid__item-img {
	flex: none;
	width: calc(100% + 100px);
	height: calc(100% + 100px);
	will-change: transform;
}

/* Shorthand grid-area: grid-row-start / grid-column-start / grid-row-end / grid-column-end */

.grid__item.pos-1 .grid__item-img {
	position: absolute;
    width: 113px;
    height: 160px;
    background-repeat: no-repeat;
    left: 284px;
    top: -42px;
    z-index: -999;
}
.grid__item.pos-2 .grid__item-img {
	position: absolute;
    width: 286px;
    height: 130px;
    background-repeat: no-repeat;
    right: 66px;
    top: 45px;
}
.grid__item.pos-3 .grid__item-img {
	    position: absolute;
    width: 170px;
    height: 130px;
    background-repeat: no-repeat;
    right: 92px;
    bottom: -500px;
}
.grid__item.pos-4 .grid__item-img {
	
    position: absolute;
    width: 292px;
    height: 130px;
    background-repeat: no-repeat;
    left: 84px;
    top: 460px;

}

.pos-2 {
	grid-area: 3 ​/ 49 / 14 / 34;
}

.pos-3 {
	grid-area: 45 / 40 / 18 / 50;
}

.pos-4 {
	grid-area: 21 ​/ 3 / 41 / 27;
}






.cursor {
	display: none;
}

@media screen and (min-width: 53em) {
	.message {
		display: none;
	}
	.frame {
		position: fixed;
		text-align: left;
		z-index: 100;
		top: 0;
		left: 0;
		display: grid;
		align-content: space-between;
		width: 100%;
		max-width: none;
		height: 100%;
		padding: 3rem;
		pointer-events: none;
		grid-template-columns: 75% 25%;
		grid-template-rows: auto auto auto;
		grid-template-areas: 'title links'
							'... ...'
							'... demos';
	}
	.frame__title-wrap {
		grid-area: title;
		display: flex;
	}
	.frame__title {
		margin: 0;
	}
	.frame__tagline {
		position: relative;
		margin: 0 0 0 1rem;
		padding: 0 0 0 1rem;
		opacity: 0.5;
	}
	.frame__demos {
		margin: 0;
		grid-area: demos;
		justify-self: end;
	}
	.frame__links {
		grid-area: links;
		padding: 0;
		justify-self: end;
	}
	.frame a {
		pointer-events: auto;
	}
	.content {
		height: 100%;
		justify-content: center;
		max-height: none;
	}
}

@media (any-pointer: fine) {
	.cursor {
		position: fixed;
		top: 0;
		left: 0;
		display: block;
		pointer-events: none;
	}
	.cursor__inner {
		fill: var(--cursor-fill);
		stroke: var(--cursor-stroke);
		stroke-width: var(--cursor-stroke-width);
	}
}